Inbound warehouse sheets
Domain InventorySheetIn — read-only (GET).
1. List
- Endpoint:
/api/v6.1/inventory_sheet_ins - Method:
GET - Auth:
X-API-KEY
Filtering (high level)
id, sheet_code, account_id (eq/empty), account_name (eq/contains), store_id, user_id, sheet_status (eq/in), order_id (eq/empty), purchase_order_code, has_accounting, sheet_date (eq/gte/lte/between), department filters, inventory_product_* filters + product custom fields. Nested: sub_account.
Search / Sort / Fields / Pagination
- Search:
sheet_code - Sort:
id(asc/desc), defaultDESC - Fields: CSV (Needed info); default
id. Full retrievable keys follow backendInventorySheetIn::defineRetrievableFields(see Vietnamese doc for the expanded table, or inspect a real response). - Pagination:
limit,offset
Sample list response
{
"data": [
{
"id": 1200,
"sheet_code": "PNK/2026/0001",
"sheet_date": "2026-03-15",
"store_id": 1,
"store_name": "Main warehouse",
"sheet_status": 2
}
],
"has_more": false,
"offset": 0,
"limited": 50,
"sorted": { "id": "DESC" }
}
Example curl
curl -g --location 'https://example.getflycrm.com/api/v6.1/inventory_sheet_ins?fields=id,sheet_code,sheet_date,store_id,store_name,sheet_status&filtering[store_id]=1&limit=50' \
--header 'X-API-KEY: <your_api_key>'
2. Detail
- Endpoint:
/api/v6.1/inventory_sheet_in - Identifier (exactly one):
inventory_sheet_in_idorinventory_sheet_in_code
Sample detail response (short)
{
"id": 1200,
"sheet_code": "PNK/2026/0001",
"sheet_details": [
{ "product_id": 101, "product_code": "SKU001", "quantity": 10 }
]
}
Example curl
curl --location 'https://example.getflycrm.com/api/v6.1/inventory_sheet_in?inventory_sheet_in_code=PNK/2026/0001&fields=id,sheet_code,sheet_details' \
--header 'X-API-KEY: <your_api_key>'
3. Notes
- v6.0 uses
/api/v6/inventory_sheet_ins/{id}instead of query parameters.